Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Interface CheckSummary

    public interface CheckSummary

A summary of check statistics.

Version:
  $Id$
Author:
  Simon Harris

Method Summary
`int` | `getDuplicateBlockCount()` Ibtains the number of duplicate blocks.
`int` | `getDuplicateFileCount()` Obtains the number of files containing duplicates.
`int` | `getDuplicateLineCount()` Obtains the number of duplicate lines.
`int` | `getDuplicateLinePercentage()` Obtains the number of duplicate lines as a percentage of duplicate line count.
`long` | `getProcessingTime()` Obtains the processing time (in milliseconds).
`int` | `getTotalFileCount()` Obtains the total number of files processed.
`int` | `getTotalRawLineCount()` Ontains the total number of raw source lines processed.
`int` | `getTotalSignificantLineCount()` Obtains the total number of significant source lines processed.

Method Detail

### getDuplicateFileCount

    int getDuplicateFileCount()

  Obtains the number of files containing duplicates.

  Returns:
    The number of files containing duplicates.

### getDuplicateLineCount

    int getDuplicateLineCount()

  Obtains the number of duplicate lines.

  Returns:
    the number of duplicate lines.

### getDuplicateBlockCount

    int getDuplicateBlockCount()

  Ibtains the number of duplicate blocks.

  Returns:
    The number of duplicate blocks.

### getDuplicateLinePercentage

    int getDuplicateLinePercentage()

  Obtains the number of duplicate lines as a percentage of duplicate line count.

  Returns:
    the number of duplicate lines as a percentage of duplicate line count.

### getTotalFileCount

    int getTotalFileCount()

  Obtains the total number of files processed.

  Returns:
    The total number of files processed.

### getTotalRawLineCount

    int getTotalRawLineCount()

  Ontains the total number of raw source lines processed.

  Returns:
    The total number of raw source lines processed.

### getTotalSignificantLineCount

    int getTotalSignificantLineCount()

  Obtains the total number of significant source lines processed.

  Returns:
    The total number of significant source lines processed.

### getProcessingTime

    long getProcessingTime()

  Obtains the processing time (in milliseconds).

  Returns:
    The processing time (in milliseconds).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.